For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tenant status

Deprecated

Workspace Status Update Endpoint

patch

Endpoint used to update the internal status of an existing workspace.

Args: request: HTTP request. workspace_update: Workspace status update model. tenant_id: Deprecated, use workspace_id instead. workspace_id: ID of the workspace to update. Only required for internal services that are not authenticated with a workspace session token. auth_context: Auth context. workspace_manager: Workspace manager.

Raises: IllegalOperationError: If the user lacks permission to call this endpoint. ValueError: If the workspace update or workspace ID are required but not provided.

Returns: Model of the updated workspace or None if the workspace was deleted.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Query parameters
tenant_idstring · uuid · nullableOptional
workspace_idstring · uuid · nullableOptional
Body

Defines all status fields that can be updated for a workspace.

statusstring · enum · nullableOptional

The new operational status of the workspace.

Possible values:
Responses
200

Successful Response

application/json

Pydantic Model for viewing a workspace.

idstring · uuidRequired
namestring · min: 1 · max: 50Required

The name of the workspace.

display_namestring · min: 1 · max: 50Required

The display name of the workspace.

descriptionstring · min: 1 · max: 256 · nullableOptional

The description of the workspace.

logo_urlstring · nullableOptional

The logo URL of the workspace.

is_managedbooleanOptional

Whether the workspace is managed by ZenML Pro or managed externally and enrolled.

Default: true
workspace_typestring · enumOptional

The product type of the workspace.

Default: zenmlPossible values:
enrollment_keystring · nullableOptional

Credentials generated for enrolled workspaces. Only set for enrolled workspaces and only during the enrollment process.

desired_statestring · enumRequired

The desired state of the workspace.

Possible values:
state_reasonstring · enumRequired

The reason for the current workspace state.

Possible values:
statusstring · enumRequired

The current operational state of the workspace.

Possible values:
createdstring · date-timeRequired
updatedstring · date-timeRequired
status_updatedstring · date-time · nullableOptional

The time the status was last updated.

patch/tenant_status
PATCH /tenant_status HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 225

{
  "status": "not_initialized",
  "zenml_service": {
    "status": {
      "server_url": "text",
      "version": "text",
      "storage_size": 1,
      "storage_size_last_updated": "2026-01-01T00:00:00.000Z",
      "storage_access_blocked": false,
      "enabled_features": [
        "user"
      ]
    }
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "display_name": "text",
  "description": "text",
  "logo_url": "text",
  "organization": {
    "name": "text",
    "description": "text",
    "logo_url": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "owner": {
      "password": "text",
      "password_expired": true,
      "name": "text",
      "avatar_url": "text",
      "company": "text",
      "job_title": "text",
      "metadata": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "username": "text",
      "email": "text",
      "oauth_provider": "text",
      "oauth_id": "text",
      "is_active": true,
      "is_superuser": false,
      "is_service_account": false,
      "organization_id": "123e4567-e89b-12d3-a456-426614174000",
      "password_changed_at": "2026-01-01T00:00:00.000Z",
      "is_onboarded": false
    },
    "links": [
      {
        "label": "text",
        "url": "text"
      }
    ],
    "announcements": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "message": "text",
        "dismissable": false,
        "link": {
          "label": "text",
          "url": "text"
        },
        "type": "info"
      }
    ],
    "trusted_domains": [
      "text"
    ],
    "has_active_subscription": true,
    "trial_expiry": 1,
    "enabled_features": [
      "user"
    ]
  },
  "owner": {
    "password": "text",
    "password_expired": true,
    "name": "text",
    "avatar_url": "text",
    "company": "text",
    "job_title": "text",
    "metadata": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "username": "text",
    "email": "text",
    "oauth_provider": "text",
    "oauth_id": "text",
    "is_active": true,
    "is_superuser": false,
    "is_service_account": false,
    "organization_id": "123e4567-e89b-12d3-a456-426614174000",
    "password_changed_at": "2026-01-01T00:00:00.000Z",
    "is_onboarded": false
  },
  "is_managed": true,
  "workspace_type": "zenml",
  "enrollment_key": "text",
  "zenml_service": {
    "configuration": {
      "version": "text",
      "analytics_enabled": true,
      "secrets_store": {
        "type": "sql"
      },
      "backup_secrets_store": {
        "type": "sql"
      },
      "admin": {
        "helm_chart_version": "text",
        "image_repository": "text",
        "image_tag": "text",
        "debug": true,
        "otel_exporter_otlp_endpoint": "text",
        "otel_logs_enabled": true,
        "otel_metrics_enabled": true,
        "otel_traces_enabled": true,
        "otel_service_name_prefix": "text",
        "rbac_implementation_source": "text",
        "workload_manager_implementation_source": "text",
        "feature_gate_implementation_source": "text",
        "stream_broker_implementation_source": "text",
        "environment_vars": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "secret_environment_vars": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "provider_type": "argocd",
        "provider_config": {
          "terraform": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "argocd": {
            "github_client": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          }
        },
        "service_tier": "basic",
        "resources": {
          "replicas": 1,
          "cpu": "text",
          "memory": "text",
          "max_cpu": "text",
          "max_memory": "text",
          "memory_migration": "text",
          "max_memory_migration": "text",
          "autoscaling_enabled": false,
          "min_replicas": 1,
          "max_replicas": 1,
          "thread_pool_size": 40,
          "db_pool_size": 20,
          "db_pool_overflow": 20,
          "workspace_node_pool": "main",
          "workload_node_pool": "main",
          "max_concurrent_template_runs": 1,
          "memory_run_template": "text",
          "max_memory_run_template": "text",
          "max_storage_size": 1073741824
        },
        "features": {
          "schedules": {
            "enabled": true
          },
          "resource_pools": {
            "enabled": true
          },
          "async_snapshot_execution": {
            "enabled": true
          }
        }
      }
    },
    "status": {
      "server_url": "text",
      "version": "text",
      "storage_size": 1,
      "storage_size_last_updated": "2026-01-01T00:00:00.000Z",
      "storage_access_blocked": false,
      "enabled_features": [
        "user"
      ]
    }
  },
  "usage_counts": {
    "ANY_ADDITIONAL_PROPERTY": 1
  },
  "desired_state": "not_initialized",
  "state_reason": "user_action",
  "status": "not_initialized",
  "created": "2026-01-01T00:00:00.000Z",
  "updated": "2026-01-01T00:00:00.000Z",
  "status_updated": "2026-01-01T00:00:00.000Z"
}
ZenML Scarf

Last updated

Was this helpful?